Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035378
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServerminorhave not tried2017-02-28 12:402017-07-03 11:16
ReporterAugustoMauchView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7edfb4a12cd4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035378: The ServerStateBackground process pings store server sequentially

DescriptionTo determine the status of the store servers, the central servers pings them and requests their status.

The store servers are pinged sequentially, and it could be improved by pinging several servers in parallel.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035113 closedmtaal The ServerStateBackground server ping unregistered servers 
has duplicate feature request 0036147 closedAugustoMauch Use multhread to ping the status of the store servers 
related to defect 0036384 closedAugustoMauch Connection leak in ServerStateBackground is there are no servers to ping 

-  Notes
(0097200)
hgbot (developer)
2017-06-08 09:34

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 5b9d05b616c97890bac563e72fcc415931f75f89
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jun 08 09:34:03 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^]

Fixes issue 35378: The ServerStateBackground process pings store server sequentially
Use multiple threads to ping store servers for their status

---
M src/org/openbravo/mobile/core/servercontroller/ServerStateBackground.java
---
(0097390)
AugustoMauch (developer)
2017-06-14 15:15

Reopened due to a connection leak. A new connection is leaked each time the ping background process runs:


jun 14, 2017 3:12:32 PM org.apache.tomcat.jdbc.pool.ConnectionPool suspect
ADVERTENCIA: Connection has been marked suspect, possibly abandoned PooledConnection[org.postgresql.jdbc.PgConnection@50894650][30179 ms.]:java.lang.Exception
    at org.apache.tomcat.jdbc.pool.ConnectionPool.getThreadDump(ConnectionPool.java:1075)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:781)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:632)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.getConnection(ConnectionPool.java:189)
    at org.apache.tomcat.jdbc.pool.DataSourceProxy.getConnection(DataSourceProxy.java:128)
    at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnectionFromDS(JdbcExternalConnectionPool.java:130)
    at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnection(JdbcExternalConnectionPool.java:110)
    at org.openbravo.dal.core.SessionHandler.getNewConnection(SessionHandler.java:300)
    at org.openbravo.dal.core.SessionHandler.createSession(SessionHandler.java:235)
    at org.openbravo.dal.core.SessionHandler.begin(SessionHandler.java:561)
    at org.openbravo.dal.core.SessionHandler.getSession(SessionHandler.java:183)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:534)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:500)
    at org.openbravo.dal.service.OBDal.get(OBDal.java:353)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.getKey(MobileAuthenticationKeyUtils.java:133)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.encrypt(MobileAuthenticationKeyUtils.java:88)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.getEncryptedAuthenticationToken(MobileAuthenticationKeyUtils.java:77)
    at org.openbravo.mobile.core.servercontroller.MobileServerUtils.getAuthenticationQueryParams(MobileServerUtils.java:192)
    at org.openbravo.mobile.core.servercontroller.ServerStateBackground$PingRunnable.run(ServerStateBackground.java:414)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
(0097477)
hgbot (developer)
2017-06-19 13:05

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 7edfb4a12cd4eec4d8a87c3a394b4c6ebd92ceae
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jun 19 13:05:01 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7edfb4a12cd4eec4d8a87c3a394b4c6ebd92ceae [^]

Fixes issue 35378: The ServerStateBackground process pings store server sequentially
Ensure that connection gets closed in all flows

---
M src/org/openbravo/mobile/core/servercontroller/ServerStateBackground.java
---
(0097604)
AugustoMauch (developer)
2017-06-23 11:07

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2017-02-28 12:40 AugustoMauch New Issue
2017-02-28 12:40 AugustoMauch Assigned To => StoreServer
2017-02-28 12:40 AugustoMauch Triggers an Emergency Pack => No
2017-02-28 12:41 AugustoMauch Relationship added related to 0035113
2017-03-16 19:24 mtaal Assigned To StoreServer => AugustoMauch
2017-05-08 11:51 mtaal Assigned To AugustoMauch => mtaal
2017-06-08 09:34 mtaal Review Assigned To => AugustoMauch
2017-06-08 09:34 hgbot Checkin
2017-06-08 09:34 hgbot Note Added: 0097200
2017-06-08 09:34 hgbot Status new => resolved
2017-06-08 09:34 hgbot Resolution open => fixed
2017-06-08 09:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^]
2017-06-08 09:43 mtaal Relationship added has duplicate 0036147
2017-06-14 15:15 AugustoMauch Note Added: 0097390
2017-06-14 15:15 AugustoMauch Status resolved => new
2017-06-14 15:15 AugustoMauch Resolution fixed => open
2017-06-19 13:05 hgbot Checkin
2017-06-19 13:05 hgbot Note Added: 0097477
2017-06-19 13:05 hgbot Status new => resolved
2017-06-19 13:05 hgbot Resolution open => fixed
2017-06-19 13:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7edfb4a12cd4eec4d8a87c3a394b4c6ebd92ceae [^]
2017-06-23 11:07 AugustoMauch Note Added: 0097604
2017-06-23 11:07 AugustoMauch Status resolved => closed
2017-07-03 11:05 AugustoMauch Relationship added related to 0036384
2017-07-03 11:16 AugustoMauch Regression level => Packaging and release
2017-07-03 11:16 AugustoMauch Regression date => 2017-06-08
2017-07-03 11:16 AugustoMauch Regression introduced in release => RR17Q2
2017-07-03 11:16 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^]
2017-07-03 11:16 AugustoMauch Regression level Packaging and release =>
2017-07-03 11:16 AugustoMauch Regression date 2017-06-08 =>
2017-07-03 11:16 AugustoMauch Regression introduced in release RR17Q2 =>
2017-07-03 11:16 AugustoMauch Regression introduced by commit https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^] =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker